<?php
// phpcs:ignoreFile
/**
 * @package   GS_WooCommerce_variation_swatches
 * @author    GS Plugins <hello@gsplugins.com>
 * @license   GPL-2.0+
 * @link      https://www.gsplugins.com
 * @copyright 2018 GS Plugins
 *
 * @wordpress-plugin
 * Plugin Name:         Variation Swatches
 * Plugin URI:          https://www.gsplugins.com/wordpress-plugins
 * Description:         The WooCommerce Variation Swatches plugin replaces the dropdown select of your variable products with Colors, Labels, and Images. It extends WooCommerce to create product variations, maximizing product sales for users. Check the <a href="https://woovariation.gsplugins.com">WooCommerce Variation Swatches Demo</a> & <a href="https://docs.gsplugins.com/gs-woocommerce-variation-swatches">Documention</a>.
 * Version:             3.0.5
 * Author:              GS Plugins
 * Author URI:          https://www.gsplugins.com
 * Text Domain:         gs-woo-variation
 * License:             GPL-2.0+
 * License URI:         http://www.gnu.org/licenses/gpl-2.0.txt
 * Requires Plugins:    woocommerce
 */

/**
 * Protect direct access
 */
defined( 'ABSPATH' ) || exit;

/**
 * Defining constants
 */
if ( ! defined( 'GS_WOO_SWATCHES_VERSION' ) )
    define( 'GS_WOO_SWATCHES_VERSION', '3.0.5' );

if ( ! defined( 'GS_WOOCOMMERCE_PLUGIN' ) )
    define( 'GS_WOOCOMMERCE_PLUGIN', 'woocommerce/woocommerce.php' );

if ( ! defined( 'GS_WOO_SWATCHES_MIN_WOO_VERSION' ) )
    define( 'GS_WOO_SWATCHES_MIN_WOO_VERSION', '8.0.0' );

if ( ! defined( 'GS_WOO_SWATCHES_MIN_PRO_VERSION' ) )
    define( 'GS_WOO_SWATCHES_MIN_PRO_VERSION', '3.0.0' );

if ( ! defined( 'GS_WOO_SWATCHES_PLUGIN_FILE' ) )
    define( 'GS_WOO_SWATCHES_PLUGIN_FILE', __FILE__ );

if ( ! defined( 'GS_WOO_SWATCHES_PLUGIN_DIR' ) )
    define( 'GS_WOO_SWATCHES_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

if ( ! defined( 'GS_WOO_SWATCHES_PLUGIN_URI' ) )
    define( 'GS_WOO_SWATCHES_PLUGIN_URI', plugins_url( '', __FILE__ ) );

if ( ! defined( 'GS_WOO_SWATCHES_BASE_NAME' ) )
    define( 'GS_WOO_SWATCHES_BASE_NAME', plugin_basename( __FILE__ ) );

if ( ! defined( 'GS_WOO_SWATCHES_PRO_PLUGIN' ) )
    define( 'GS_WOO_SWATCHES_PRO_PLUGIN', 'gs-woo-variation-swatches-pro/gs-woo-variation-swatches-pro.php' );

if ( ! defined( 'GS_WOO_SWATCHES_HOOK_PREFIX' ) )
    define( 'GS_WOO_SWATCHES_HOOK_PREFIX', 'GS_WOO_SWATCHES/' );


/**
 * Load essential files
 */
require_once GS_WOO_SWATCHES_PLUGIN_DIR . 'includes/autoloader.php';
require_once GS_WOO_SWATCHES_PLUGIN_DIR . 'includes/functions.php';
require_once GS_WOO_SWATCHES_PLUGIN_DIR . 'includes/init.php';